package com.chenyang.nse.bussiness.kms.runner;

import com.chenyang.nse.bussiness.local.service.TestService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

@Component
public class KmsSecretKeysRunner {
   protected Logger logger = LoggerFactory.getLogger(this.getClass());
   @Autowired
   @Qualifier("KmsTestServiceImpl")
   protected TestService service;

   public void init() throws Exception {
      this.service.initSecretKey();
      this.service.test();
   }
}
